Skip to main content

Read a Spending Plan Iteration

Use this endpoint to read the attributes of a specific spending plan iteration according to its iteration_number.

GET
/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}

Request sample

Language:shell

_10
curl -i -X GET 'https://int-api.mx.com/users/USR-72086f59-6684-4adf-8f29-c4d32db43cd7/spending_plans/SPL-dbfe201d-c341-4bff-93c0-62a918d0b600/iterations/1' \
_10
-u 'client_id:api_key' \
_10
-H 'Accept: application/vnd.mx.api.v2beta+json' \
_10
-H 'Content-Type: application/json'

Response sample

200
Language:json

_12
{
_12
"iteration": {
_12
"created_at": "2023-05-03T18:39:20Z",
_12
"updated_at": "2023-05-03T18:39:20Z",
_12
"end_on": "2023-05-31",
_12
"guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
_12
"iteration_number": 1,
_12
"spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
_12
"start_on": "2023-05-01",
_12
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
_12
}
_12
}